﻿#!/usr/local/bin/perl
use CGI qw(:standard);
use CGI::Cookie;
require 'lib/cgi-lib.pl';
require 'jcode.pl';

@keys=keys %ENV; #%ENVのキーをすべて得る
@values=values %ENV;
@keys=sort @keys; #キーをソート

$answer=22;

&ReadParse(*in);
#アンケート日付
($sec,$min,$hour,$mday,$mon,$year,$wday,$yday,$isdst)=localtime(time);
@dayname=('日','月','火','水','木','金','土');
$month=$mon+1;

$date ="$month月$mday日 (@dayname[$wday])";
#$time= sprintf("%d02:%d02:%d02",$hour,$min,$sec);

$query=$in{'hidden'};
$name=$in{'name'};
$email=$in{'email'};
$company=$in{'company'};

#入力チェック[エラーサブルーチン]
if($name eq ""){
&error(100,"名前を入力してください");
}
if($email eq ""){
&error(110,"メールアドレスを入力してください");
}
if($company eq ""){
&error(120,"企業名を入力して下さい");
}

#文字列チェック
$_=$name;
if(m/</i or m/>/i or m/"/i or m/'/i ){
&error(200,"Name入力エラー。<>\"\'の文字列が入力されています。");
}
$_=$email;
if(m/</i or m/>/i or m/"/i or m/'/i ){
&error(210,"email入力エラー。<>\"\'の文字列が入力されています。");
}
if(!m/@/i){
&error(211,"email入力エラー。正しいメールアドレスを入力して下さい。");
}
$_=$company;
if(m/</i or m/>/i or m/"/i or m/'/i ){
&error(220,"企業名入力エラー。<>\"\'の文字列が入力されています。");
}
  
#保存先選択
if ($query eq q1){
$Answerfile="questionaire1.csv";
}elsif($query ne q1 and $query eq q2){
$Answerfile="questionaire2.csv";
}elsif($query eq q3){
$Answerfile="questionaire3.csv";
}elsif($query eq q4){
$Answerfile="questionaire4.csv";
}

for($i=1; $i<=$answer; $i++){
	$a[$i]=$in{"a$i"};
}

#データログ
$dir="/questbox/";
chdir $dir;
open(FILE,">>$Answerfile");
flock(FILE,2);
print(FILE "\"",$query);
print(FILE "\"\,\"",$date);
print(FILE "\"\,\"",$name);
print(FILE "\"\,\"",$email);
print(FILE "\"\,\"",$company);
for($i=1;$i<$answer;$i++){
	$a[$i]=~s/\"/""/g;
print FILE "\"\,\"";
print FILE $a[$i];
}
print FILE "\"\n";
flock(FILE,8);
close(FILE);


#アンケート結果をフィードバックページ
open IN,$Answerfile;
while(<IN>){
$data=$_;
chop $data; #改行を消す
$data=~tr/\"/ /;
@document =($query,$date,$name,$email,$company,$a1,$a2,$a3,$a4,$a5,$a6,$a7,$a8,$a9,$a10,$a11,$a12,$a13,$a14,$a15,$a16,$a17,$a18,$a19,$a20,$a21)=split(/\,/,$data); #,区切りで分割
$S="<table>\n<tr><td>QUERY：</td><td>$query</td></tr><tr><td>日 付：</td><td>$date</td></tr><tr><td>名 前：</td><td>$name</td></tr>\n<tr><td>E-mail：</td><td>$email</td></tr>\n<tr><td>所属企業：</td><td>$company</td></tr>\n<tr><td>質問1：</td><td>$a1</td></tr>\n<tr><td>質問2：</td><td>$a2</td></tr>\n<tr><td>質問3：</td><td>$a3</td></tr>\n<tr><td>質問4：</td><td>$a4</td></tr>\n<tr><td>質問5：</td><td>$a5</td></tr>\n<tr><td>質問6：</td><td>$a6</td></tr>\n<tr><td>質問7：</td><td>$a7</td></tr>\n<tr><td>質問8：</td><td>$a8</td></tr>\n<tr><td>質問9：</td><td>$a9</td></tr>\n<tr><td>質問10：</td><td>$a10</td></tr>\n<tr><td>質問11：</td><td>$a11</td></tr>\n<tr><td>質問12：</td><td>$a12</td></tr>\n<tr><td>質問13：</td><td>$a13</td></tr>\n<tr><td>質問14：</td><td>$a14</td></tr>\n<tr><td>質問15：</td><td>$a15</td></tr>\n<tr><td>質問16：</td><td>$a16</td></tr>\n<tr><td>質問17：</td><td>$a17</td></tr>\n<tr><td>質問18：</td><td>$a18</td></tr>\n<tr><td>質問19：</td><td>$a19</td></tr>\n<tr><td>質問20：</td><td>$a20</td></tr>\n<tr><td>質問21：</td><td>$a21</td></tr>\n</table>\n";
}

#OUTPUT
print "Content-type: text/html\n\n";
print "<!DOCTYPE html>\n";
print "<html lang=\"ja\">\n<head>\n";
print "<meta charset=\"UTF-8\">";
print "<title>業務改善アンケートシステム version1.0.0 アンケート結果</title>\n";
print "<link rel=\"stylesheet\" href=\"../quest/stylesheet.css\" >\n";
print "</head>\n";
print "<body text=\"#000080\" bgcolor=\"#FFFFFF\">\n";
print "<h1>業務改善アンケートシステム version1.0.0</h1>\n<hr>\n";
print "<p>アンケートにご協力ありがとうございました。</p>\n";
print "<h2>アンケート回答結果</h2>\n";
print "$S";

print "<a href=\"../quest\">前のページに戻る</a>\n";
print "<hr>\n<footer>This website presented by Social-infoknowledge.com.Thank you for your visiting our page.copyright (C) 2015 Social-infoknowledge.COM. All rights reserved.</footer>\n";
print "</body>\n</html>\n";

#エラーサブルーチン############################################################
sub error{
($num,$word)=@_;
print "Content-type: text/html\n\n";
print "<!DOCTYPE html>\n";
print "<html lang=\"ja\">\n<head>\n";
print "<meta charset=\"UTF-8\">";
print "<title>業務改善アンケートシステム version1.0.0 入力エラー</title>\n";
print "<link rel=\"stylesheet\" href=\"../quest/stylesheet.css\" >\n";
print "</head>\n";
print "<body text=\"#000080\" bgcolor=\"#FFFFFF\">\n";
print "<h1>業務改善アンケートシステム version1.0.0 入力エラー</h1>\n<hr>\n";
print "<p>Error Number $num<br>$word</p>\n";
print "<form><input type=\"button\" value=\"戻る\" onclick=\"history.back()\"></form>\n";
print "<hr>\n<footer>This website presented by Social-infoknowledge.com.Thank you for your visiting our page.copyright (C) 2015 Social-infoknowledge.COM. All rights reserved.</footer>\n";
print "</body>\n</html>\n";
exit;
}
###############################################################################
exit;
